webhooks
Organization webhooks: endpoints, event subscriptions, signatures, deliveries and retries
Endpoints
- GET
/v1/webhooksList webhooks of the organization - POST
/v1/webhooksCreate a webhook - GET
/v1/webhooks/catalogList event types - GET
/v1/webhooks/{webhook_id}Get a webhook - DELETE
/v1/webhooks/{webhook_id}Delete a webhook - PATCH
/v1/webhooks/{webhook_id}Update a webhook - POST
/v1/webhooks/{webhook_id}/testSend a test event - POST
/v1/webhooks/{webhook_id}/rotate-secretRotate the signing secret - POST
/v1/webhooks/{webhook_id}/revoke-previous-secretRevoke the previous secret - POST
/v1/webhooks/{webhook_id}/resumeResume a webhook - POST
/v1/webhooks/{webhook_id}/redeliverRedeliver deliveries for a period - GET
/v1/webhooks/{webhook_id}/attemptsList delivery attempts - GET
/v1/webhooks/{webhook_id}/deliveriesList webhook deliveries - GET
/v1/webhooks/{webhook_id}/deliveries/{delivery_id}Get a delivery with bodies and attempts - POST
/v1/webhooks/{webhook_id}/deliveries/{delivery_id}/redeliverRedeliver an event - GET
/v1/webhook-eventsList events - GET
/v1/webhook-events/{event_id}Get an event